openSUSE Security Update : puppet (openSUSE-SU-2012:0835-1)

Medium Nessus Plugin ID 74671


The remote openSUSE host is missing a security update.


- Fixed bnc#747657: CVE-2012-1053, CVE-2012-1054: improper privilege dropping and file handling flaws This was done by updating to the new version in stable branch. The stable branch receives only security fixes and this update does not provide any new features.

- Fixed bnc#755869 CVE-2012-1988: Filebucket arbitrary code execution

- Fixed bnc#755872 CVE-2012-1986: Arbitrary File Read

- Fixed bnc#755870 CVE-2012-1987: Denial of Service

- Fixed bnc#755871 CVE-2012-1989: Arbitrary File Write


Update the affected puppet packages.

See Also

Plugin Details

Severity: Medium

ID: 74671

File Name: openSUSE-2012-369.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.9

Vector: CVSS2#AV:L/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:puppet, p-cpe:/a:novell:opensuse:puppet-server, cpe:/o:novell:opensuse:11.4

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2012/06/27

Reference Information

CVE: CVE-2012-1053, CVE-2012-1054, CVE-2012-1986, CVE-2012-1987, CVE-2012-1988, CVE-2012-1989

OSVDB: 79495, 79496, 81307, 81308, 81309, 81310